<html>
<head>
<title>OGRE: Class Members - Enumerations - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li class="current"><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="#index_a"><span>a</span></a></li>
    <li><a href="#index_b"><span>b</span></a></li>
    <li><a href="#index_c"><span>c</span></a></li>
    <li><a href="#index_e"><span>e</span></a></li>
    <li><a href="#index_f"><span>f</span></a></li>
    <li><a href="#index_i"><span>i</span></a></li>
    <li><a href="#index_l"><span>l</span></a></li>
    <li><a href="#index_m"><span>m</span></a></li>
    <li><a href="#index_o"><span>o</span></a></li>
    <li><a href="#index_p"><span>p</span></a></li>
    <li><a href="#index_r"><span>r</span></a></li>
    <li><a href="#index_s"><span>s</span></a></li>
    <li><a href="#index_t"><span>t</span></a></li>
    <li><a href="#index_u"><span>u</span></a></li>
    <li><a href="#index_v"><span>v</span></a></li>
    <li><a href="#index_w"><span>w</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_a">- a -</a></h3><ul>
<li>ACDataType
: <a class="el" href="classOgre_1_1GpuProgramParameters.html#1fe0f4aa9dd371e8eef09f36a50e45bf">Ogre::GpuProgramParameters</a>
<li>Alignment
: <a class="el" href="classOgre_1_1TextAreaOverlayElement.html#10447c4f63a1ea3b9084d32518dd7620">Ogre::TextAreaOverlayElement</a>
<li>AngleUnit
: <a class="el" href="classOgre_1_1Math.html#c8fd1d7167271f824e0210c29ee45ff0">Ogre::Math</a>
<li>AutoConstantType
: <a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">Ogre::GpuProgramParameters</a>
</ul>
<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
<li>BindingType
: <a class="el" href="classOgre_1_1TextureUnitState.html#411bcf3e69280ce146f09ddc73d9e7e8">Ogre::TextureUnitState</a>
<li>BNF_ID
: <a class="el" href="classOgre_1_1Compiler2Pass.html#9d16594346e9f7a4312375517467ca8b">Ogre::Compiler2Pass</a>
<li>BorderCellIndex
: <a class="el" href="classOgre_1_1BorderPanelOverlayElement.html#a72b9a7f9b9c0cc536adece547093475">Ogre::BorderPanelOverlayElement</a>
<li>BoxPlane
: <a class="el" href="classOgre_1_1SceneManager.html#5ff1f0a66a642f96927361029d397960">Ogre::SceneManager</a>
<li>BufferLicenseType
: <a class="el" href="classOgre_1_1HardwareBufferManager.html#44c2e8b8f5664fa3aad2de27723d0be4">Ogre::HardwareBufferManager</a>
<li>BuiltinHashFunction
: <a class="el" href="classOgre_1_1Pass.html#1d30a3c04994e1bd0e1de8cb343341a4">Ogre::Pass</a>
</ul>
<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
<li>CacheType
: <a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">Ogre::VertexCacheProfiler</a>
<li>CompositorScriptSection
: <a class="el" href="classOgre_1_1CompositorScriptCompiler.html#163333f2f34030aef34bfefac95122aa">Ogre::CompositorScriptCompiler</a>
<li>ContentType
: <a class="el" href="classOgre_1_1TextureUnitState.html#35a108a68c71c8267af4af8c1a819030">Ogre::TextureUnitState</a>
<li>CornerEnum
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3">Ogre::AxisAlignedBox</a>
<li>CpuFeatures
: <a class="el" href="classOgre_1_1PlatformInformation.html#f7f9306631264031789d89af0642a807">Ogre::PlatformInformation</a>
</ul>
<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
<li>ElementType
: <a class="el" href="classOgre_1_1GpuProgramParameters.html#39b96ad6d11ed0042375a0643c311046">Ogre::GpuProgramParameters</a>
<li>Endian
: <a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Ogre::Serializer</a>
<li>EnvMapType
: <a class="el" href="classOgre_1_1TextureUnitState.html#72a88b1cf11053da98fa25f98689931e">Ogre::TextureUnitState</a>
<li>ExceptionCodes
: <a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b">Ogre::Exception</a>
<li>Extent
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#49fc600cdfc76dfaba2613ce3af2443e">Ogre::AxisAlignedBox</a>
</ul>
<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
<li>Filter
: <a class="el" href="classOgre_1_1Image.html#a1d0fe80507583b39161736e4be198d5">Ogre::Image</a>
<li>FrameEventTimeType
: <a class="el" href="classOgre_1_1Root.html#6cb1549aef6cc6c06262d087a88a5342">Ogre::Root</a>
</ul>
<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
<li>IlluminationPassesState
: <a class="el" href="classOgre_1_1Technique.html#8dee9e7ef067309148721ed733264d23">Ogre::Technique</a>
<li>IlluminationRenderStage
: <a class="el" href="classOgre_1_1SceneManager.html#51db39cc4fa15b28086a1793d42fc827">Ogre::SceneManager</a>
<li>IndexType
: <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">Ogre::HardwareIndexBuffer</a>
<li>InputMode
: <a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">Ogre::CompositionTargetPass</a>
<li>InterpolationMode
: <a class="el" href="classOgre_1_1Animation.html#ccd627249080f5a09332f55bed1d2dcd">Ogre::Animation</a>
</ul>
<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
<li>LightTypes
: <a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc">Ogre::Light</a>
<li>LoadingState
: <a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c">Ogre::Resource</a>
<li>LockOptions
: <a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">Ogre::HardwareBuffer</a>
</ul>
<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
<li>MaterialScriptSection
: <a class="el" href="classOgre_1_1MaterialScriptCompiler.html#c87b6d292401a48e50ceca7c3bb147dc">Ogre::MaterialScriptCompiler</a>
<li>MeshBuildType
: <a class="el" href="classOgre_1_1MeshManager.html#b207a060c84acb966c08d3ac46a2f57c">Ogre::MeshManager</a>
</ul>
<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
<li>OperationType
: <a class="el" href="classOgre_1_1Compiler2Pass.html#4da37e02a01d11e4aa512ff997f425e1">Ogre::Compiler2Pass</a>
, <a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">Ogre::RenderOperation</a>
<li>OrganisationMode
: <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">Ogre::QueuedRenderableCollection</a>
</ul>
<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
<li>ParticleType
: <a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25">Ogre::Particle</a>
<li>PassType
: <a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">Ogre::CompositionPass</a>
<li>PatchSurfaceType
: <a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e278">Ogre::PatchSurface</a>
<li>PrefabType
: <a class="el" href="classOgre_1_1SceneManager.html#b4c2ff4f6c76f7fe0a8eae76f2a84cbf">Ogre::SceneManager</a>
<li>Programs
: <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623">Ogre::ShadowVolumeExtrudeProgram</a>
</ul>
<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
<li>RequestType
: <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b745">Ogre::ResourceBackgroundQueue</a>
<li>RotationInterpolationMode
: <a class="el" href="classOgre_1_1Animation.html#fbc674fea08fd85e8ad73a10dc852c32">Ogre::Animation</a>
</ul>
<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
<li>Side
: <a class="el" href="classOgre_1_1Plane.html#a5d44b14d6f032f3e0a26e83589180bc">Ogre::Plane</a>
<li>SpecialCaseRenderQueueMode
: <a class="el" href="classOgre_1_1SceneManager.html#6aa3039230bf91b09b8587dba0c482c6">Ogre::SceneManager</a>
<li>StatFlags
: <a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490">Ogre::RenderTarget</a>
<li>Status
: <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceGroup.html#4b15ff98535d242c1bb7912b6007a3a9">Ogre::ResourceGroupManager::ResourceGroup</a>
<li>SystemRuleToken
: <a class="el" href="classOgre_1_1Compiler2Pass.html#565d1c4005ab8062e3785e677bfdf623">Ogre::Compiler2Pass</a>
</ul>
<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
<li>TargetMode
: <a class="el" href="classOgre_1_1VertexAnimationTrack.html#8428fcdefb79b2dd650b22968a3e8134">Ogre::VertexAnimationTrack</a>
<li>TexCoordDirection
: <a class="el" href="classOgre_1_1BillboardChain.html#92be262f8957455b6fc2adfe9904d0ee">Ogre::BillboardChain</a>
<li>TextureAddressingMode
: <a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf852">Ogre::TextureUnitState</a>
<li>TextureCubeFace
: <a class="el" href="classOgre_1_1TextureUnitState.html#2584766311cf6d0eaada7be28c287cc3">Ogre::TextureUnitState</a>
<li>TextureEffectType
: <a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626">Ogre::TextureUnitState</a>
<li>TextureTransformType
: <a class="el" href="classOgre_1_1TextureUnitState.html#942a1ce66d0909d29ed09c98e9e6d82d">Ogre::TextureUnitState</a>
<li>TokenID
: <a class="el" href="classOgre_1_1CompositorScriptCompiler.html#c7b0e53140e44a8dcee05feb1ce22873">Ogre::CompositorScriptCompiler</a>
, <a class="el" href="classOgre_1_1MaterialScriptCompiler.html#be20f82a34fc07a018c334c1de2c5138">Ogre::MaterialScriptCompiler</a>
<li>TransformSpace
: <a class="el" href="classOgre_1_1Node.html#c42e2063379286eb673eaffff6ca5e99">Ogre::Node</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06c">Ogre::InstancedGeometry::InstancedObject</a>
</ul>
<h3><a class="anchor" name="index_u">- u -</a></h3><ul>
<li>Usage
: <a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Ogre::HardwareBuffer</a>
</ul>
<h3><a class="anchor" name="index_v">- v -</a></h3><ul>
<li>ValueType
: <a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">Ogre::AnimableValue</a>
<li>VertexDataBindChoice
: <a class="el" href="classOgre_1_1Entity.html#3155eeab3bceea736771f49e4becb014">Ogre::Entity</a>
<li>VertexReductionQuota
: <a class="el" href="classOgre_1_1ProgressiveMesh.html#c8ade932d6a3a6b24c7b7ad33c32a8e3">Ogre::ProgressiveMesh</a>
<li>VisibleSide
: <a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">Ogre::PatchSurface</a>
</ul>
<h3><a class="anchor" name="index_w">- w -</a></h3><ul>
<li>WorldFragmentType
: <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">Ogre::SceneQuery</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:02 2008
</p>
</body>
</html>
